Index: asterisk.c
===================================================================
RCS file: /usr/cvsroot/asterisk/asterisk.c,v
retrieving revision 1.75
diff -u -r1.75 asterisk.c
--- asterisk.c	28 Apr 2004 13:53:01 -0000	1.75
+++ asterisk.c	28 Apr 2004 20:01:18 -0000
@@ -1680,7 +1680,7 @@
 }
 
 
-#if  defined(__FreeBSD__)
+#if  defined(__OpenBSD__) || defined(__FreeBSD__) 
 
 /* duh? ERANGE value copied from web... */
 #define ERANGE 34
Index: include/asterisk/lock.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/lock.h,v
retrieving revision 1.16
diff -u -r1.16 lock.h
--- include/asterisk/lock.h	22 Apr 2004 00:20:34 -0000	1.16
+++ include/asterisk/lock.h	28 Apr 2004 20:01:19 -0000
@@ -158,8 +158,14 @@
 
 /* From now on, Asterisk REQUIRES Recursive (not error checking) mutexes
    and will not run without them. */
+
+#if defined(__OpenBSD__)
+#define AST_MUTEX_INITIALIZER      PTHREAD_MUTEX_INITIALIZER
+#define AST_MUTEX_KIND             PTHREAD_MUTEX_RECURSIVE
+#else
 #define AST_MUTEX_INITIALIZER      PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP
 #define AST_MUTEX_KIND             PTHREAD_MUTEX_RECURSIVE_NP
+#endif
 
 typedef pthread_mutex_t ast_mutex_t;
 
